#!/bin/bash

if [ "$1" == "" ]
then
  echo "usage: make-distro.sh <version>"
  exit 1
fi

version=$1
source=../branches/$version
distroName=../export/oaCapture-$version

if [ ! -d $source ]
then
  echo "$source does not exist"
  exit 2
fi

mkdir -p $distroName
if [ $? -ne 0 ]
then
  echo "mkdir $distroName failed"
  exit 3
fi

rsync -av --delete $source/{bin,config.h.in,config.guess,config.sub,configure,configure.ac,COPYING,depcomp,docs,ext,images,include,INSTALL,install-sh,lib,liboacam,liboademosaic,liboafilterwheel,liboaSER,liboavideo,libtool,ltmain.sh,Makefile.am,Makefile.in,missing,oacapture,osx,udev} $distroName
if [ $? -ne 0 ]
then
  echo "copy of core distribution to $distroName failed"
  exit 4
fi

rm $distroName/bin/makepro
rm $distroName/bin/make-distro.sh
rm $distroName/bin/linkstatic32.sh
rm $distroName/bin/linkstatic64.sh
rm $distroName/bin/make-binary-distros.sh
rm $distroName/bin/remove-install.sh
rm $distroName/bin/BUILD-PREREQ.sh
rm $distroName/bin/INSTALL-PREREQ.sh
rm $distroName/bin/build-osx-pkg.sh

rm $distroName/docs/asi-resolutions.txt
rm $distroName/docs/*copyleft*
rm $distroName/docs/ENHANCEMENTS
rm $distroName/docs/instructions.txt
rm $distroName/docs/liboacam.txt
rm $distroName/docs/oacapture.txt
rm $distroName/docs/plan1.txt
rm $distroName/docs/PROJECTS
rm $distroName/docs/prosave
rm $distroName/docs/release-process.txt
rm $distroName/docs/test-cameras.txt
rm $distroName/docs/test-plan.txt
rm $distroName/docs/TODO
rm $distroName/docs/CHANGES-*.txt
rm -fr $distroName/docs/manual-images

rm -fr $distroName/ext/fxload-2008

rm $distroName/osx/oaCapture-cpnts.plist
rm $distroName/osx/*fw.plist
rm -fr $distroName/osx/Scripts

for f in $distroName/lib/firmware/qhy/*
do
  case $f in
    *QHY5.HEX) ;;
    *QHY5LOADER.HEX) ;;
    *QHY5II.HEX) ;;
    *QHY6.HEX) ;;
    *QHY6OLD.HEX) ;;
    *)
      rm $f
      ;;
  esac
done
mv $distroName/docs/README.txt $distroName
