/*****************************************************************************
 *
 * IIDCstate.h -- IEEE1394/IIDC camera state header
 *
 * Copyright 2013,2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef OA_IIDC_STATE_H
#define OA_IIDC_STATE_H

#include <dc1394/dc1394.h>

typedef struct IIDC_STATE {
  int             initialised;
  dc1394camera_t* iidcHandle;
  int             videoRGB24;
  int             videoGrey16;
  int             videoGrey;
  unsigned int    videoCurrent;
  int             mosaicFormat;
  dc1394color_coding_t currentCodec;
  int             started;
  int             haveFormat7;
  dc1394video_frame_t *currentFrame;
  // FIX ME -- ought to do this dynamically
  FRAMESIZE       resolutions[OA_MAX_RESOLUTIONS+1];
  // FIX ME -- only works for discrete rates?
  FRAMERATE       framerates[OA_MAX_FRAMERATES+1];
/*
  int            exposureMode;
  float          exposureLength;
  uint32_t       exposureControl;
  int            haveAutoExposure;
  uint32_t       autoWhiteBalanceOff;
  uint32_t       haveWhiteBalanceManual;
  struct buffer* buffers;
  int            configuredBuffers;
  int            lastUsedBuffer;
  int            bufferInUse;
  int            frameTime;
*/
} IIDC_STATE;

#endif	/* OA_IIDC_STATE_H */
