/*****************************************************************************
 *
 * sxState.h -- Starlight Xpress filter wheel state header
 *
 * Copyright 2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef OA_SX_FW_STATE_H
#define OA_SX_FW_STATE_H

#include <pthread.h>
#include <libusb-1.0/libusb.h>
#include <hidapi.h>

typedef struct SX_FW_STATE {
  char			devicePath[ PATH_MAX+1];
  int			initialised;
  int			index;
  libusb_context*       usbContext;
  libusb_device_handle* usbHandle;
  int			interfaceNum;
  int			endpointIn;
  int			endpointOut;
  int			maxPacketSize;
  int			wheelType;
  int			currentPosition;
  int			numSlots;
  pthread_mutex_t	usbMutex;
  pthread_mutex_t	hidMutex;
  hid_device*		hidHandle;
} SX_FW_STATE;

#endif	/* OA_SX_FW_STATE_H */
