/*****************************************************************************
 *
 * QHYusb.h -- header for QHY camera USB interface
 *
 * Copyright 2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef OA_QHY_USB_H
#define OA_QHY_USB_H

extern int            _usbControlMsg ( oaCamera*, uint8_t, uint8_t, uint16_t,
                          uint16_t, unsigned char*, uint16_t, unsigned int );
extern int            _usbBulkTransfer ( oaCamera*, unsigned char,
                          unsigned char*, int, unsigned int*, unsigned int );
extern int            _i2cWrite16 ( oaCamera*, unsigned short, unsigned short );
extern unsigned short _i2cRead16 ( oaCamera*, unsigned short );

#define QHY_REQUEST_WRITE	0x40
#define QHY_REQUEST_READ	0xc0

#define QHY_BULK_ENDP_OUT	0x01
#define QHY_BULK_ENDP_IN	0x82

#endif	/* OA_QHY_USB_H */
